unit CarsFormUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  CarsClassUnit, StdCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    RG: TRadioGroup;
    Button3: TButton;
    edtDesired: TEdit;
    lblAttained: TLabel;
    UpDown1: TUpDown;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    Robin: TRobin;
    TVR: TTVR;
    Garage: array[0..1] of TCar;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Robin := TRobin.Create;
  TVR := TTVR.Create;
  Garage[0] := Robin;
  Garage[1] := TVR;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Robin.Free;
  Robin := nil;
  TVR.Free;
  TVR := nil;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  TVR.Drive
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Robin.Drive
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Garage[RG.ItemIndex].Drive
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Garage[RG.ItemIndex].Speed := StrToInt(edtDesired.Text);
  lblAttained.Caption := IntToStr(Garage[RG.ItemIndex].Speed)
end;

end.
