unit CarsClassUnit;

interface

type
  TCar = class(TObject)
  private
    FSpeed: Word;
  protected
    procedure SetSpeed(Value: Word); virtual;
  public
    procedure Drive; virtual;
    property Speed: Word read FSpeed write SetSpeed;
  end;

  TRobin = class(TCar)
  protected
    procedure SetSpeed(Value: Word); override;
  end;

  TTVR = class(TCar)
  protected
    procedure SetSpeed(Value: Word); override;
  public
    procedure Drive; override;
  end;


implementation

uses
  Dialogs;

{ TCar }

procedure TCar.Drive;
begin
  ShowMessage('I like driving in my car  Madness, 1993')
end;

procedure TCar.SetSpeed(Value: Word);
begin
  FSpeed := Value;
end;

{ TRobin }

procedure TRobin.SetSpeed(Value: Word);
begin
  if Value > 35 then
    Value := 35;
  inherited SetSpeed(Value)
end;

{ TTVR }

procedure TTVR.Drive;
begin
  ShowMessage('Vroomm, roar, etc.')
end;

procedure TTVR.SetSpeed(Value: Word);
begin
  if Value > 135 then
    Value := 135;
  inherited //SetSpeed(Value)
end;

end.
